# Uses of Class
org.apache.commons.math3.geometry.euclidean.twod.Line

Packages that use Line
Package
Description
org.apache.commons.math3.geometry.euclidean.twod
This package provides basic 2D geometry components.

## Uses of Line in org.apache.commons.math3.geometry.euclidean.twod

Methods in org.apache.commons.math3.geometry.euclidean.twod that return Line
Modifier and Type
Method
Description
`Line`
Line.`copySelf()`
Copy the instance.
`Line`
Segment.`getLine()`
Get the line containing the segment.
`Line`
Line.`getReverse()`
Get the reverse of the instance.
Methods in org.apache.commons.math3.geometry.euclidean.twod with parameters of type Line
Modifier and Type
Method
Description
`double`
Line.`getOffset(Line line)`
Get the offset (oriented distance) of a parallel line.
`Vector2D`
Line.`intersection(Line other)`
Get the intersection point of the instance and another line.
`boolean`
Line.`isParallelTo(Line line)`
Check the instance is parallel to another line.
Constructors in org.apache.commons.math3.geometry.euclidean.twod with parameters of type Line
Modifier
Constructor
Description
``
`Line(Line line)`
Copy constructor.
``
`Segment(Vector2D start, Vector2D end, Line line)`
Build a segment.